Saturday, June 15, 2013

Lutok 0.3 released

Lutok 0.3 was released yesterday evening. The packages in pkgsrc-current, Fedora 19 and Fedora rawhide have all been updated accordingly.

The major highlight of this new release is support for Lua 5.2 while retaining backwards compatibility with Lua 5.1. The incompatible changes between 5.1 and 5.2 only affected a small subset of the functionality in Lutok, which made this dual support possible.

For those that don't know what this project is about: Lutok is a lightweight C++ API for Lua. It is lightweight because it's an almost 1:1 mapping of the C API into C++. However, the major design criterion behind Lutok is to provide an interface that is fully C++ native and that is safe to use in the face of exceptions. For this reason, Lutok is not as performant as the native C library, which is OK for many use cases out there.

Be aware that Lutok 0.3 is backwards-incompatible with 0.2 at the API and ABI levels. This is just an unfortunate effect of Lua 5.1 and 5.2 being incompatible in the same way. The release notes has all details on this.

PS: Hey, I promised to update the blog on Mondays and Thursdays... but that does not mean I won't publish additional content any other day when the scheduled dates are inappropriate ;-)